Get Agent

Retrieve details of a specific agent by ID.

GET https://developers.chatway.app/api/v1/agents/{id}

Example request

curl -X GET "https://developers.chatway.app/api/v1/agents/26fa75f2-7ac1-47b4-84e1-b943491ba4da" \
  -H "X-API-KEY: your_api_key"

Parameters

NameInRequiredTypeDescription
idpathYesstringAgent ID Example: 26fa75f2-7ac1-47b4-84e1-b943491ba4da

Responses

200

application/json

403

Examples

Response 200 example

{
    "data": {
        "type": "agent-user",
        "id": "26fa75f2-7ac1-47b4-84e1-b943491ba4da",
        "attributes": {
            "email": "[email protected]",
            "name": "Mock Agent Alpha",
            "status": "active",
            "online_status": "online",
            "profile_photo_url": null,
            "resized_profile_photo_url": null,
            "role": "CHAT_AGENT_MEMBER"
        }
    }
}